RabbitMQ Upgrade Fails on Ubuntu and Derivatives

Running apt-get to update your system, you may encounter the following error when attempting to upgrade RabbitMQ:

W: An error occurred during the signature verification. 
The repository is not updated and the previous index files will be used. GPG error: http://www.rabbitmq.com testing InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 6B73A36E6026DFCA

W: Failed to fetch http://www.rabbitmq.com/debian/dists/testing/InRelease  

W: Some index files failed to download. They have been ignored, or old ones used instead.

RabbitMQ transitioned to a new PGP key as explained in this document.   In order for you to successfully update RabbitMQ, you'll need to download and install the new PHP Key.  You can accomplish this with the following command, executed as the root user:

$ wget -O- https://www.rabbitmq.com/rabbitmq-release-signing-key.asc | sudo apt-key add -
--2016-07-11 16:40:39--  https://www.rabbitmq.com/rabbitmq-release-signing-key.asc
Resolving www.rabbitmq.com (www.rabbitmq.com)... 192.240.153.117
Connecting to www.rabbitmq.com (www.rabbitmq.com)|192.240.153.117|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 3187 (3.1K) [text/plain]
Saving to: ‘STDOUT’

100%[==================================================================================>] 3,187       --.-K/s   in 0.005s  

2016-07-11 16:40:39 (603 KB/s) - written to stdout [3187/3187]

OK
$ apt-get update

Your next upgrade should successfully process and install updates for your  RabbitMQ installation.